## GDataYouTubeState

GDataYouTubeState — YouTube state element

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_youtube_state_get_name ()
const gchar * | gdata_youtube_state_get_reason_code ()
const gchar * | gdata_youtube_state_get_help_uri ()
const gchar * | gdata_youtube_state_get_message ()

## Properties

gchar * | help-uri | Read / Write / Construct Only
gchar * | message | Read / Write / Construct Only
gchar * | name | Read / Write / Construct Only
gchar * | reason-code | Read / Write / Construct Only

## Types and Values

| GDataYouTubeState
| GDataYouTubeStateClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataYouTubeState

## Includes

    #include <gdata/services/youtube/gdata-youtube-state.h>

## Description

GDataYouTubeState represents a "state" element from the

YouTube namespace.

## Functions

### gdata_youtube_state_get_name ()

    const gchar *
    gdata_youtube_state_get_name (GDataYouTubeState *self);

Gets the “name” property.

#### Parameters

self | a GDataYouTubeState |

#### Returns

the status name

Since: 0.4.0

### gdata_youtube_state_get_reason_code ()

    const gchar *
    gdata_youtube_state_get_reason_code (GDataYouTubeState *self);

Gets the “reason-code” property.

#### Parameters

self | a GDataYouTubeState |

#### Returns

the status reason code, or `NULL`

Since: 0.4.0

### gdata_youtube_state_get_help_uri ()

    const gchar *
    gdata_youtube_state_get_help_uri (GDataYouTubeState *self);

Gets the “help-uri” property.

#### Parameters

self | a GDataYouTubeState |

#### Returns

the help URI, or `NULL`

Since: 0.4.0

### gdata_youtube_state_get_message ()

    const gchar *
    gdata_youtube_state_get_message (GDataYouTubeState *self);

Gets the “message” property.

#### Parameters

self | a GDataYouTubeState |

#### Returns

the status message, or `NULL`

Since: 0.4.0

## Types and Values

### GDataYouTubeState

    typedef struct _GDataYouTubeState GDataYouTubeState;

All the fields in the GDataYouTubeState structure are private and should never be accessed directly.

### GDataYouTubeStateClass

    typedef struct {
    } GDataYouTubeStateClass;

All the fields in the GDataYouTubeStateClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“help-uri”` property

      “help-uri”                 gchar *

A URI for a YouTube Help Center page that may help the developer or the video owner to diagnose the reason that an upload failed or was rejected.

For more information, see the

online documentation.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 0.4.0

### The `“message”` property

      “message”                  gchar *

A human-readable description of why the video failed to upload.

For more information, see the

online documentation.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 0.4.0

### The `“name”` property

      “name”                     gchar *

The name of the status of the unpublished video. Valid values are: "processing", "restricted", "deleted", "rejected" and "failed".

For more information, see the

online documentation.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 0.4.0

### The `“reason-code”` property

      “reason-code”              gchar *

The reason code explaining why the video failed to upload.

For more information, see the

online documentation.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 0.4.0